%global pgmajorversion 90
%global pginstdir /usr/pgsql-9.0
%global sname pgfincore

Summary:	PgFincore is a set of functions to manage blocks in memory
Name:		%{sname}%{pgmajorversion}
Version:	0.4.1
Release:	1%{?dist}
License:	BSD
Group:		Applications/Databases
Source0:	http://pgfoundry.org/frs/download.php/2670/%{sname}-v%{version}.tar.gz
Patch0:		Makefile-pgxs.patch
URL:		http://pgfoundry.org/projects/pgfincore
BuildRequires:	postgresql%{pgmajorversion}-devel
Requires:	postgresql%{pgmajorversion}-server
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
PgFincore is a set of functions to manage blocks in memory.

%prep
%setup -q -n %{sname}
%patch0 -p0

%build
make USE_PGXS=1 %{?_smp_mflags}

%install
rm -rf %{buildroot}

make USE_PGXS=1 %{?_smp_mflags} install DESTDIR=%{buildroot}

# Install README file under PostgreSQL installation directory:
install -d %{buildroot}%{pginstdir}/share/contrib/
install -m 755 README.%{sname} %{buildroot}%{pginstdir}/share/contrib/
rm -f %{buildroot}%{_docdir}/pgsql/contrib/README.%{sname}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig 
%postun -p /sbin/ldconfig 

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYRIGHT TODO ChangeLog
%{pginstdir}/lib/%{sname}.so
%{pginstdir}/share/contrib/*%{sname}.sql
%{pginstdir}/share/contrib/README.%{sname}

%changelog
* Wed Nov 10 2010 - Devrim GUNDUZ <devrim@gunduz.org> 0.4.1-1
- Initial RPM packaging for PostgreSQL RPM Repository
